ProgressOutput Class Reference

prints the progress to stdout

`#include <ProgressOutput.h>`

## Public Member Functions

| ProgressOutput (void)
| ProgressOutput (const std::string &m)
void | setMessage (const std::string &m)
void | setMessage (const char *msgfmt,...)
void | update (float rate)
void | done (void) const
void | done (float rate, float avgweight=1.0) const

## Static Public Attributes

static float | NoAvgWeight = -1.0

## Protected Member Functions

std::string | vcompose (const char *msgfmt, va_list ap) const

## Private Attributes

std::string | Message
time_t | LastUpdate

## Constructor & Destructor Documentation

## ProgressOutput() [1/2]

ProgressOutput::ProgressOutput | ( | void |  | ) |

create an empty ProgressOutput object

## ProgressOutput() [2/2]

ProgressOutput::ProgressOutput | ( | const std::string & | m | ) |

create a ProgressOutput object

Parameters

  m | the message to be displayed

## Member Function Documentation

## done() [1/2]

void ProgressOutput::done | ( | float | rate,
|  | float | avgweight = 1.0 ) const

update the output appending rate, [average edge weight], "done" and a newline

Parameters

  rate | the rate of matched vertices
  avgweight | the average edge weight (is not printed if not given)

## done() [2/2]

void ProgressOutput::done | ( | void |  | ) | const

update the output appending "done" and a newline (no rate nor average weight)

## setMessage() [1/2]

void ProgressOutput::setMessage | ( | const char * | msgfmt,
|  |  | ... )

## setMessage() [2/2]

void ProgressOutput::setMessage | ( | const std::string & | m | ) |

inline

## update()

void ProgressOutput::update | ( | float | rate | ) |

update the output (taking update frequency into account) with rate as percentage

## vcompose()

std::string ProgressOutput::vcompose | ( | const char * | msgfmt,
|  | va_list | ap ) const

protected

## Member Data Documentation

## LastUpdate

time_t ProgressOutput::LastUpdate

private

## Message

std::string ProgressOutput::Message

private

## NoAvgWeight

float ProgressOutput::NoAvgWeight = -1.0

static

The documentation for this class was generated from the following files:

- ProgressOutput.h
- ProgressOutput.cc